$header-icon-height: 23px;

@include sm{
  .form-search--opened{
    
    input{
      display: block !important;
    }
    
  }
}

#form-search {
  display: flex;
  justify-content: space-between;  
  align-items: center;

  .header__search-input {
    &::placeholder {
      /* Chrome, Firefox, Opera, Safari 10.1+ */
      font-size:1.3rem;
      font-family: "RALEWAY-REGULAR" !important;
      color: #000000;
      letter-spacing: normal;
    }

    &:-ms-input-placeholder {
      /* Internet Explorer 10-11 */
      font-size:1.3rem;
      font-family: "RALEWAY-REGULAR" !important;
      color: #000000;
      letter-spacing: normal;
    }

    &::-ms-input-placeholder {
      /* Microsoft Edge */
      font-size:1.3rem;
      font-family: "RALEWAY-REGULAR" !important;
      color: #000000;
      letter-spacing: normal;
    }
    opacity: 0.7;
    padding: 10px;
    
    border: none;
    border-bottom:1px solid white;
    // background: transparent;
    font-weight: normal;
    height: 40px;
    width: 500px;
    font-size:1.3rem;
    font-family: "RALEWAY-REGULAR" !important;
    color: rgb(0, 0, 0);

    cursor: pointer;
    background-color: transparent;
    @include md{
      display: none;
      position: fixed;
      top: 84px;
      left: 0;
      padding: 1.5rem;
      background: #fff;
      width: 100%;
      color: black;
      opacity: 1;
    }

    &.open{
      -webkit-transition: all .2s ease-in-out;
      transition: all .2s ease-in-out;
      width:200px;
      border-color: black;
      border-right:1px solid transparent;
    }

    @include input-placeholder {
      color: rgb(0, 0, 0);
      letter-spacing: 1px;
     
    }
  
  }
 

  .header__search-close{
    cursor: pointer;
    position: absolute;
    right: 4px;
    top: 22px;
    display: none;
    font-weight: 300;
    font-size: 1.8rem;
  }
  .open + .header__search-close {
    display: block;
  }
  
  &--open input{
    display: block;
  }
}

.display-mobile{
  display: none;
  @include md {
      display: block;
  }
}

.header {
  &__search {
    position: relative;
    border: 1px solid black;
    border-radius: 10px;
    @include sm() {
      border-right: none;
      padding-right: 0;
      @include flex();
      border: none;
    }
  }

  // &__search-close{
  //     display:none;
  //     @include md{
  //         position: absolute;
  //         right: 1rem;
  //         top: calc(#{$header-height} + 5px);
  //         font-size: 3rem;
  //         cursor: pointer;
  //     }
  // }

  


  .open {
    display: block;
  }

  // &__search-input{
  //     border:none;
  //     border-bottom:1px solid $white;

  //     padding:0;

  //     width:125px;

  //     background:transparent;

  //     font-size:1.3rem;

  //     color:$white;

  //     @include input-placeholder{
  //         color:$white;
  //         text-align:right;
  //     }

  //     @include md{
  //         @include input-placeholder{
  //             text-align:left;
  //             color:$white;
  //         }
  //     }

  //     @include sm(){
  //         width: 90px;
  //     }

  // }

  &__search-icon {
    display: inline-block;
    vertical-align: middle;
    height: 30px;
    margin-right: .7rem;
    margin-left: .7rem;
    cursor: pointer;

    @include md{
      height: 28px;
      margin-right: 0.7rem;
      @media (min-width: 375px) {
        transform: translate(60px, 0px);
      }
  
      @media (min-width: 414px) {
        transform: translate(75px, 0px);
      }
    }
    @include sm(){
      transform: translate(60px, 0px);
    }
    

    &.open {
      -webkit-transition: all 0.2s ease-in-out;
      transition: all 0.2s ease-in-out;
      width: 200px;
      border-color: black;
      border-right: 1px solid transparent;
    }

    &.active {
      max-width: 22px;
    }
  }

  &__user-actions {
    @include flex;
    height: 100%;
    margin-left: 0.5rem;
  }

  &__icon-action {
    // @include flex($just:center, $align:center);
    // height:100%;
    // height:$header-height;

    // padding-left:1.5rem;

    /*@supports (position: sticky){*/
    //padding: 1.25rem 0 .5rem 1.5rem;
    /*}*/
    height: $header-height;
    display: flex;
    margin: 0 0.5rem;
    align-items: center;
    flex-shrink: 0;
    position: relative;
    cursor: pointer;

    @include sm(){
      height: 30px;
    }
    @media screen and (max-width: 1350px) {
      margin: 0 5px;
    }

    > img {
      height: 25px;
      vertical-align: bottom;

      @include sm() {
        height: 23px;
      }
    }

    .item-count {
      position: absolute;
      top: 40px;
      right: -5px;
      color: rgb(255, 255, 255) !important;
      background-color: #e26d5c;
      border-radius: 10rem;
      width: 1.6rem;
      height: 1.6rem;
      line-height: 2rem;
      font-size: 1rem !important;
      font-weight: bold;

      @include flex(row, center, center);
      @include sm(){
        top: 20px;
      }
    }

    .wishlist-count {
      position: absolute;
      top: 17px;
      right: -5px;

      color: white !important;
      background-color: #ec916a;

      border-radius: 10rem;
      width: 1.6rem;
      height: 1.6rem;
      line-height: 2rem;

      font-size: 1rem;
      font-weight: bold;

      @include flex(row, center, center);
    }
  }

  &__dropdown {
    position: relative;

    .dropdown {
      &__menu {
        display: none;
        position: absolute;
        // top:calc(100% - 3px);
        top: 93%;
        right: 0px;
        min-width: 240px;
        background: $white;
        padding: 1rem;
        border: 1px solid $grey-light;
        z-index: z("dropdown");
        font-family: "RALEWAY-REGULAR" !important;

        .triangle {
          width: 10px;
          height: 10px;
          position: absolute;
          top: -7px;
          right: 9px;
          margin: 0 0px 0 15px;
          background: white;
          -webkit-transform: rotate(225deg);
          -moz-transform: rotate(225deg);
          -o-transform: rotate(225deg);
          -ms-transform: rotate(225deg);
          border-right: 1px solid black;
          border-bottom: 1px solid black;
          z-index: -1;
        }

        @include sm() {
          top: 37px;
        }
        cursor: initial;
      }

      &__register-text {
        font-size: 1.3rem;
        text-align: center;
        margin-top: 1rem;

        display: block;
      }

      &__logout {
        margin: 10px auto 0;
        display: block;
        text-align: center;
        background-color: black;
        color: white;
        padding: 5px 8px;
        width: max-content;
      }

      &__link {
        display: block;
        padding: 10px 0;
        font-size: 1.4rem;
        font-weight: bold;
        text-transform: uppercase;
        border-bottom: 1px solid $grey-light;
      }

      &__logged-text {
        @include flex($dir: row, $just: start, $align: center);
        border-bottom: 1px solid $grey-light;
        padding: 10px 0;
        text-align: center;
        font-size: 1.4rem;
        font-weight: 600;

        @include ellipsis();
        width: 218px;

        a {
          margin-top: 1.5rem;
        }

        img {
          height: 20px;
          margin-right: 5px;
        }
      }
    }

    @include state {
      .dropdown {
        &__menu {
          display: block;
        }
      }
    }
  }
}

.cart-hover {
  &:hover {
    .modal-cart {
      display: block;
    }
    .modal-cart.hidden {
      display: none;
    }
  }
}

.icon-action{
  height: 25px;
}
